jpeg-xl (0.11.1-6ubuntu1.1) questing-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2026-1837.patch: Fix allocated buffer lengths in
      lib/jxl/render_pipeline/stage_cms.cc.
    - CVE-2026-1837

 -- Edwin Jiang <edwin.jiang@canonical.com>  Tue, 31 Mar 2026 16:08:54 -0400

jpeg-xl (0.11.1-6ubuntu1) questing; urgency=medium

  * Use gcc-14 to avoid miscompilation on ppc64el (LP: #2121375)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 06 Oct 2025 11:45:10 +0200

jpeg-xl (0.11.1-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Depend on a native JDK (Closes: #1110508)
  * Fix the nojava build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 18:05:50 -0400

jpeg-xl (0.11.1-5) unstable; urgency=medium

  * Cherry-pick patch to fix big-endian build
  * Remove obsolete bigendian patch
  * Stop using gcc-13 for big endian architectures (Closes: #1092659, #1110520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 15:24:02 -0400

jpeg-xl (0.11.1-4) unstable; urgency=medium

  * Team upload

  [ Sean McGovern ]
  * d/{control,rules}: use gcc-13 on powerpc and ppc64

  [ Jeremy Bícha ]
  * Use gcc-13 for hppa & sparc64 also (Closes: #1100753)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 13:49:07 -0400

jpeg-xl (0.11.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 08:17:40 -0400

jpeg-xl (0.11.1-2) experimental; urgency=medium

  * Team upload
  * Remove arbitrary timeout from dh_auto_test (Closes: #1091692)
  * Stop forcing LTO on Debian. Mitigates: #1099885
  * debian/libjxl0.11.symbols: Add symbols only seen when building without LTO

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 18:07:36 -0400

jpeg-xl (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1
  * d/patches: Refresh patches for new release
  * d/rules: Handle gcc-13 arches
  * d/rules: Add new icc_simplify tool
  * d/control: Migrate to SOVERSION 0.11

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Feb 2025 18:43:10 +0100

jpeg-xl (0.10.4-2) unstable; urgency=medium

  * Team upload
  * Extend dh_auto_test timeout to avoid build failures on riscv64
    (Closes: #1077336)
  * Release to unstable (Closes: #1088818)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 11:28:50 -0500

jpeg-xl (0.10.4-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1077336)
    - CVE-2024-11403 Huffman lookup table size fix
    - CVE-2024-11498 Check height limit in modular trees

  [ Gianfranco Costamagna ]
  * Force gcc-13 on s390x because testsuite hangs with gcc-14

  [ Jeremy Bícha ]
  * Use gcc-13 on riscv64 too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:46:59 -0500

jpeg-xl (0.10.3-5) experimental; urgency=medium

  * d/patches: Remove libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Fri, 27 Sep 2024 16:13:29 +0200

jpeg-xl (0.10.3-4) experimental; urgency=medium

  * d/tests: Remove a portion of the unit test. Closes: #1076699

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Jul 2024 11:27:05 +0200

jpeg-xl (0.10.3-3) experimental; urgency=medium

  * d/patches: Make sure to find package HWY

 -- Mathieu Malaterre <malat@debian.org>  Sun, 21 Jul 2024 12:47:40 +0200

jpeg-xl (0.10.3-2) experimental; urgency=medium

  * d/rules Remove legacy comment
  * d/patches: Update big endian patch
  * d/patches: Add libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Sat, 20 Jul 2024 17:09:30 +0200

jpeg-xl (0.10.3-1) experimental; urgency=medium

  * New upstream version 0.10.3
  * d/patches: Refresh patches for new release
  * d/symbols: Migrate to new ABI
  * d/patches: Prepare patch for upstream

 -- Mathieu Malaterre <malat@debian.org>  Sat, 06 Jul 2024 11:07:28 +0200

jpeg-xl (0.9.2-10) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Disable OpenEXR support on Ubuntu
  * Enable all hardening flags
  * Bump debhelper compat to 13
  * Set Build-Depends-Package
  * Strip trailing whitespace

  [ Mathieu Malaterre ]
  * d/rules: Add missing dev tools

  [ Jeremy Bícha ]
  * d/t/control: Re-add big-endian arches. Closes: #1074530

  [ Mathieu Malaterre ]
  * d/control: Provide a nojava profile. Closes: #1067757

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2024 13:00:33 +0200

jpeg-xl (0.9.2-9) unstable; urgency=medium

  * Upload to unstable
  * d/control: Bump Std-Vers to 4.7.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Jun 2024 15:37:07 +0200

jpeg-xl (0.9.2-8) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * d/rules: Increase timeout for armel

  [ Julian Wollrath ]
  * Remove libjxl-gdk-pixbuf.postinst/rm. Closes: #1072963

 -- Mathieu Malaterre <malat@debian.org>  Wed, 12 Jun 2024 21:07:47 +0200

jpeg-xl (0.9.2-7) experimental; urgency=medium

  [ Jeremy Bícha ]
  * d/rules: Opt into LTO. Closes: #1072943

  [ Gianfranco Costamagna ]
  * d/symbols: Restore arch independent symbols file

  [ Jeremy Bícha ]
  * d/control: Disable tcmalloc on i386
    google-perftools isn't available there on Ubuntu

  [ Mathieu Malaterre ]
  * d/rules: Remove gcc-12/armhf workaround

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jun 2024 08:12:59 +0200

jpeg-xl (0.9.2-6) experimental; urgency=medium

  * d/t/run-unit-test: Adapt test suite. Closes: #1072835

 -- Mathieu Malaterre <malat@debian.org>  Mon, 10 Jun 2024 12:33:42 +0200

jpeg-xl (0.9.2-5) experimental; urgency=medium

  * d/patches: Another pass for be unit tests

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2024 16:27:41 +0200

jpeg-xl (0.9.2-4) experimental; urgency=medium

  * d/patches: Really remove all failing tests on be

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2024 15:00:10 +0200

jpeg-xl (0.9.2-3) experimental; urgency=medium

  * d/patches: Disable tests failing on big-endian

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2024 11:57:42 +0200

jpeg-xl (0.9.2-2) experimental; urgency=medium

  [ Julian Wollrath ]
  * d/rules: Build gdk-pixbuf plugin. Closes: #1001786
  * d/postrm: Fix gdk-pixbuf-query-loaders: not found. Closes: #1039460

  [ Mathieu Malaterre ]
  * d/t/control: Remove big-endian arches for now
  * d/rules: Increase timeout to 6h
  * d/*.post*: Add -e to fix lintian maintainer-script-ignores-errors
  * d/rules: Prefer CMAKE_BUILD_RPATH_USE_ORIGIN=OFF for now
  * d/control: Requires latest data for unit tests
  * d/control: Fix build-depends-on-obsolete-package

 -- Mathieu Malaterre <malat@debian.org>  Tue, 04 Jun 2024 12:15:23 +0200

jpeg-xl (0.9.2-1) experimental; urgency=medium

  * New upstream version 0.9.2
  * d/patches: Refresh patches for new upstream
  * d/symbols: Rename symbol file to new SONAME
  * d/rules: Rename fuzzer_corpus to djxl_fuzzer_corpus
  * d/install: Remove command line tool cjpeg_hdr
  * d/symbols: Try to mitigate ABI upstream mess

 -- Mathieu Malaterre <malat@debian.org>  Mon, 03 Jun 2024 12:56:05 +0200

jpeg-xl (0.8.2-4) unstable; urgency=medium

  * Upload 0.8.2-4 to unstable. Closes: #1053866

 -- Mathieu Malaterre <malat@debian.org>  Fri, 31 May 2024 12:13:58 +0200

jpeg-xl (0.8.2-3) experimental; urgency=medium

  * d/t/run-unit-test: Adapt test suite to change of behavior

 -- Mathieu Malaterre <malat@debian.org>  Wed, 22 May 2024 08:02:09 +0200

jpeg-xl (0.8.2-2) experimental; urgency=medium

  * d/patches: Fix failing auto-test. Closes: #1061627

 -- Mathieu Malaterre <malat@debian.org>  Tue, 21 May 2024 15:35:24 +0200

jpeg-xl (0.8.2-1) experimental; urgency=medium

  * New upstream version 0.8.2
    * Fixes CVE-2023-0645 / CVE-2023-35790. Closes: #1034722
  * d/patches: Remove failing tests on BE arches. Closes: #1029698

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Oct 2023 09:12:56 +0200

jpeg-xl (0.8.1-2) experimental; urgency=medium

  * d/patches: Import LCMS2 fixes from git/main branch
  * d/patches: Fix compilation on riscv64

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Oct 2023 11:45:35 +0200

jpeg-xl (0.8.1-1) experimental; urgency=medium

  * d/rules: Increase timeout for mips64el
  * d/control: Cleanup archectures list
  * New upstream version 0.8.1

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Oct 2023 09:42:19 +0200

jpeg-xl (0.8.0-1) experimental; urgency=medium

  * d/patches: Transition to hwy config cmake files
  * New upstream version 0.8.0
  * d/patches: Refresh patches
  * d/control: Bump to 0.8 SONAME
  * d/symbols: Update symbols

 -- Mathieu Malaterre <malat@debian.org>  Mon, 09 Oct 2023 14:03:34 +0200

jpeg-xl (0.7.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/rules: Temporarily enable CXXFLAGS -fexcess-precision=fast
    to avoid test failure for i386, s390x. Patch suggested by Adrian Bunk.
    (See #1053641)
  * debian/patches/:
    + 0009-fast_dct-inl.h-Include-std-headers-to-solve-missing-.patch:
      Add missing headers to avoid FTBFS on arm64 for std::round().

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Oct 2023 20:36:24 -0400

jpeg-xl (0.7.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/patches/:
    + 0007-tools-CMakeLists.txt-Fix-compatibility-with-static-l.patch:
      Fix compatibility with libwebp 1.3.x. (Closes: #1052486)
    * 0008-Fix-conformance-test.patch: Fix unit test that was previously
      skipped but now failing. (Closes: #1051560)
  * debian/control: Require libwebp-dev (>= 1.3) due to patch 0007.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Sep 2023 12:52:43 -0400

jpeg-xl (0.7.0-10) unstable; urgency=medium

  * d/patches: Improve cjxl/djxl manpages. Closes: #1023641

 -- Mathieu Malaterre <malat@debian.org>  Sun, 29 Jan 2023 13:01:36 +0100

jpeg-xl (0.7.0-9) unstable; urgency=medium

  * d/tests: Adapt test to latest change
  * d/control: Fix lintian build-depends-on-1-revision

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Jan 2023 09:00:37 +0100

jpeg-xl (0.7.0-8) unstable; urgency=medium

  * d/patches: Another big-endian fix. Closes: #1023746
  * d/control: Make sure to use latest testdata

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jan 2023 15:25:10 +0100

jpeg-xl (0.7.0-7) unstable; urgency=medium

  * d/control: Bump Std-Vers to 4.6.2 no changes needed
  * d/patches: Fix test suite on big-endian. Closes: #1023746

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jan 2023 12:29:14 +0100

jpeg-xl (0.7.0-6) unstable; urgency=medium

  [ Jon Sneyers ]
  * d/manpages: Add more details about jxl_from_tree

  [ Mathieu Malaterre ]
  * d/control: Mark libjxl-dev Multi-Arch: same
  * d/control: Require hwy 1.0.2 and up
  * d/control: Requires latest of libjxl-testdata
  * d/rules: Fix a pile of build vs host confusions
  * d/copyright: Fix file location for ssimulacra.cc

 -- Mathieu Malaterre <malat@debian.org>  Mon, 21 Nov 2022 14:23:13 +0100

jpeg-xl (0.7.0-5) unstable; urgency=medium

  * d/control: Prefer libjpeg-turbo since default on Debian
  * d/t/run-unit-test: Fix issue with lossy decompression

 -- Mathieu Malaterre <malat@debian.org>  Wed, 05 Oct 2022 11:07:05 +0200

jpeg-xl (0.7.0-4) unstable; urgency=medium

  * d/t/control: Remove big-endian arches for now
  * d/rules: Be more specific about gcc wrong-code issue
  * d/t/run-unit-test: Fix issue with lossy conversion

 -- Mathieu Malaterre <malat@debian.org>  Tue, 04 Oct 2022 10:20:14 +0200

jpeg-xl (0.7.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Restrict the JNI/Java bindings on archs with Java

  [ Mathieu Malaterre ]
  * d/control: Properly set min version for libavif
  * d/rules: Do not install doxygen checksum files
  * d/rules: Prefer -O1 on armhf for now
  * d/tests: Add unit tests

 -- Mathieu Malaterre <malat@debian.org>  Mon, 03 Oct 2022 14:00:03 +0200

jpeg-xl (0.7.0-2) unstable; urgency=medium

  * d/control: Add missing libavif dependency
  * d/rules: Add -Wno-psabi to ppc64el and arm64
  * d/rules: Increase timeout to 4h for mipsel
  * d/patches: Fix RoundtripLargeFast unit test
  * d/rules: Fix manpages generation

 -- Mathieu Malaterre <malat@debian.org>  Sun, 02 Oct 2022 09:29:54 +0200

jpeg-xl (0.7.0-1) unstable; urgency=medium

  * d/watch: Point to release tags
  * New upstream version 0.7.0. Closes: #1012884
  * d/patches: Refresh patches for latest upstream
  * d/symbols: Add missing symbols

 -- Mathieu Malaterre <malat@debian.org>  Mon, 26 Sep 2022 10:19:50 +0200

jpeg-xl (0.7.0~git20220805.980c90f-3) experimental; urgency=medium

  * d/patches: Fix issue with LibraryCLinkageTest
  * d/rules: Change timeout to 3h for unit test
  * d/control: Make sure to use latest hwy

 -- Mathieu Malaterre <malat@debian.org>  Thu, 25 Aug 2022 14:59:40 +0200

jpeg-xl (0.7.0~git20220805.980c90f-2) experimental; urgency=medium

  * d/patches: Remove failing test for now
  * d/patches: Fix LibraryCLinkageTest unit test
  * d/control: Make sure to use latest of testdata

 -- Mathieu Malaterre <malat@debian.org>  Mon, 22 Aug 2022 15:33:42 +0200

jpeg-xl (0.7.0~git20220805.980c90f-1) experimental; urgency=medium

  * New upstream version 0.7.0~git20220805.980c90f
  * d/rules: Properly check return code from unit test
  * d/control: Make sure to use latest testdata

 -- Mathieu Malaterre <malat@debian.org>  Wed, 10 Aug 2022 11:46:24 +0200

jpeg-xl (0.7.0~git20220802.7929382-1) experimental; urgency=medium

  * d/control: Make sure to start using hwy 1.0
  * New upstream version 0.7.0~git20220802.7929382
  * d/rules: Remove reference to cjxl_ng since removed upstream
  * d/rules: Remove unused rule for jxlinfo.1
  * d/patches: Start using lcms2 v2.13 and up

 -- Mathieu Malaterre <malat@debian.org>  Tue, 02 Aug 2022 13:30:49 +0200

jpeg-xl (0.7.0~git20220704.de6a16a-1) experimental; urgency=medium

  * d/p/manpages.patch: Add missing command line options
  * New upstream version 0.7.0~git20220408.e6264cd+ds
  * d/patches: Refresh patches
  * d/control: Remove dh-exec since not used anymore
  * d/rules: Set SKCMS bundle option to OFF for consistency
  * d/control: Add dependency to libjxl-testdata
  * d/patches: Add support for testdata in /usr
  * d/patches: Fix installation of cjxl_ng
  * d/control: Properly Implement <!nocheck>
  * d/patches: Remove a failing test
  * d/patches: Add a fix when RPATH is not set
  * d/rules: Make sure to remove by-products from test-suite
  * New upstream version 0.7.0~git20220420.6cce649+ds
  * d/patches: Remove patches applied upstream
  * d/rules: Adapt to latest change for jxlinfo
  * d/control: Bump Std-Vers to 4.6.1 no changes needed
  * d/control: make libjxl-dev depend on required libraries. Closes: #1010856
  * d/control: Make sure to use latest of testdata
  * d/copyright: Adapt to latest upstream changes
  * New upstream version 0.7.0~git20220704.de6a16a
  * d/patches: Refresh patches according to latest upstream
  * d/rules: Only apply no-psabi on armel/armhf
  * d/rules: Remove add_noise to match upstream

 -- Mathieu Malaterre <malat@debian.org>  Mon, 04 Jul 2022 11:54:24 +0200

jpeg-xl (0.7.0~git20220325.7594374+ds-3) experimental; urgency=medium

  * d/patches: Improve man pages documentation
  * d/u/metadata: Fix lintian upstream-metadata-file-is-missing
  * d/rules: Add missing jxlinfo generation rule
  * d/rules: Add missing rule for *_ng man pages
  * d/rules: Add flags from upstream during compilation
  * d/rules: Add benchmark command line to devtools
  * d/rules: Properly set doxygen to OFF when building binary only
  * d/patches: Properly install jar/jni files
  * d/control: Add libjpegxl-java package
  * d/rules: Fixed typo in DEB_VERSION_UPSTREAM

 -- Mathieu Malaterre <malat@debian.org>  Mon, 04 Apr 2022 11:08:50 +0200

jpeg-xl (0.7.0~git20220325.7594374+ds-2) experimental; urgency=medium

  * d/control: Add graphviz package for dot command
  * d/control: Add missing help2man dependency
  * d/rules: Only run help2man in arch builds
  * d/rules: Add missing rules to cleanup *.1 generated files

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Mar 2022 09:06:43 +0200

jpeg-xl (0.7.0~git20220325.7594374+ds-1) experimental; urgency=medium

  * New upstream version 0.7.0~git20220325.7594374+ds
  * d/control: Document relation cjpeg_hdr to avifenc
  * d/manpages: Add missing devtools manpages
  * d/rules: Remove generated *.a static libs
  * d/manpages: Add tools manpages
  * d/rules: Add missing PHONY target
  * d/rules: Install jxlinfo in devtools
  * d/control: Add Suggests to netpbm
  * d/control: Add Recommends to libjpeg-progs
  * d/patches: Refresh patches
  * d/patches: Make sure to use lcms 2.12 for now
  * d/rules: Remove reference to dead code (epf_main)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 28 Mar 2022 13:59:09 +0200

jpeg-xl (0.7.0~git20220228.89875cb+ds-1) experimental; urgency=medium

  * d/patches: Fix minor typo
  * New upstream version 0.7.0~git20220228.89875cb+ds
  * d/patches: Remove GUN/Hurd patch applied upstream
  * d/control: Add devtools package

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Mar 2022 16:34:28 +0100

jpeg-xl (0.7.0~git20220120.0647da4+ds-5) experimental; urgency=medium

  * d/rules: Remove a warning note from all buildds
  * d/rules: Do not run test in indep builds
  * d/patches: Add thread fix for riscv64
  * d/patches: Rework riscv64 patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Feb 2022 14:02:30 +0100

jpeg-xl (0.7.0~git20220120.0647da4+ds-4) experimental; urgency=medium

  * d/examples: Prefer doc package now
  * d/patches: Fix incomplete HURD patch
  * d/patches: Really fix riscv64 support

 -- Mathieu Malaterre <malat@debian.org>  Mon, 31 Jan 2022 13:16:53 +0100

jpeg-xl (0.7.0~git20220120.0647da4+ds-3) experimental; urgency=medium

  * d/control: Remove xdg-utils/xmlto dependencies (not needed)
  * d/control: We do not need asciidoc/dblatex dependency
  * d/control: Add jpeg-xl-doc package
  * d/control: Update requirement for cmake version
  * d/control: Add missing dependency docbook-xml
  * d/patches: Fix compilation on GNU/Hurd
  * d/patches: Add support for riscv64/atomics

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Jan 2022 11:37:42 +0100

jpeg-xl (0.7.0~git20220120.0647da4+ds-2) experimental; urgency=medium

  * d/control: Make sure to specify minimum requirement for dependencies
  * d/symbols: Add missing Build-Depends-Package line
  * d/rules: Remove a warning on armel/armhf
  * d/patches: Start adding support for latomic arches
  * d/rules: Do not force tcmalloc implementation on all arches

 -- Mathieu Malaterre <malat@debian.org>  Thu, 27 Jan 2022 13:47:42 +0100

jpeg-xl (0.7.0~git20220120.0647da4+ds-1) experimental; urgency=medium

  * d/watch Prepare orig tarball directly from git HEAD
  * d/copyright Upstream has simplified convenient library copy logic
  * New upstream version 0.7.0~git20220120.0647da4+ds
  * d/control Start building jpeg-xl 0.7
  * d/symbols Update symbols file
  * d/patches Remove patches applied upstream
  * d/compat Start using compat 11
  * d/rules Document why plugins are not built currently
  * d/rules Start building JPEG-XL with OpenEXR option

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Jan 2022 14:35:45 +0100

jpeg-xl (0.6.1+ds-6) experimental; urgency=medium

  * d/symbols: Fix lintian symbols-file-missing-build-depends-package-field
  * d/rules: Start using the system installed hwy
  * d/patches: Adapt to GCC-11 default c++ standard
  * d/examples: Install examples folder
  * d/install: Do not install *.a anymore

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Jan 2022 15:39:42 +0100

jpeg-xl (0.6.1+ds-5) experimental; urgency=medium

  * d/symbols: Hide all the std namespace symbols
  * d/rules: Add missing -latomic for armel and such
  * d/patches: Do not force -std=c++11 flag during compilation

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 Dec 2021 16:19:00 +0100

jpeg-xl (0.6.1+ds-4) experimental; urgency=medium

  * d/patches: Properly handle a2x >= 10
  * d/rules: Do not check the return value from test

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 Dec 2021 12:07:35 +0100

jpeg-xl (0.6.1+ds-3) experimental; urgency=medium

  * d/control: Add missing B-D on LCMS
  * d/control: Add missing Rules-Requires-Root: no

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 Dec 2021 10:20:11 +0100

jpeg-xl (0.6.1+ds-2) experimental; urgency=medium

  * d/control: Add missing B-D on ninja
  * d/TODO: Add documentation about C-ABI and libstdc++ exceptions
  * d/README.Debian: Add documentation about git submodules

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 Dec 2021 09:13:47 +0100

jpeg-xl (0.6.1+ds-1) experimental; urgency=medium

  * Initial release (Closes: #948862)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 14 Dec 2021 10:29:22 +0100
